#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>

namespace Ui {
    class MainWindow;
}

class MainWindow : public QMainWindow {
    Q_OBJECT
public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();

protected:
    void changeEvent(QEvent *e);

private slots:
    void modalClick();
    void modelessClick();
    void inputClick();
    void errorClick();
    void messageClick();
    void questionClick();
    void dialogAccepted();
    void dialogRejected();

private:
    Ui::MainWindow *ui;
};

#endif // MAINWINDOW_H
