#ifndef HELLOGRAPHICS_H
#define HELLOGRAPHICS_H

#include <QWidget>

class QPropertyAnimation;

namespace Ui {
    class HelloGraphics;
}

class HelloGraphics : public QWidget
{
    Q_OBJECT
    Q_PROPERTY(qreal scale READ scale WRITE setScale)

public:
    HelloGraphics(QWidget *parent = 0);
    ~HelloGraphics();

public:
    void setScale(qreal val);
    qreal scale() const;

protected:
    void changeEvent(QEvent *e);

private slots:
    void animationFinished();

private:
    Ui::HelloGraphics *ui;
    QPropertyAnimation *animation;
};

#endif // HELLOGRAPHICS_H
